Bug 16816 - Duplicate button on report results copies parameters used
Summary: Duplicate button on report results copies parameters used
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-27 15:51 UTC by Christopher Brannon
Modified: 2018-06-04 20:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16816: Do not copy parameters used when duplicating a report (2.66 KB, patch)
2016-09-13 13:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16816: Do not copy parameters used when duplicating a report (2.77 KB, patch)
2016-09-17 17:25 UTC, Andreas Roussos
Details | Diff | Splinter Review
[PASSED QA] Bug 16816: Do not copy parameters used when duplicating a report (2.84 KB, patch)
2016-09-18 08:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Brannon 2016-06-27 15:51:11 UTC
When using the duplicate button on the reports results page, instead of copying the runtime parameters as written, it copies the values used for the results.  The duplicate report then only runs the report with those values only.

Christopher
Comment 1 Jonathan Druart 2016-09-13 13:45:45 UTC
Created attachment 55532 [details] [review]
Bug 16816: Do not copy parameters used when duplicating a report

If a report is duplicated from the report list, the new report will
contain the tag (<<YEAR>> for instance), but from the reports results
page it copies the values used for the results.

Test plan:
Create a new sql report with tags
Duplicate it from the report list: no expected changes
Run it and duplicate it: the tags must not have been replaced
Comment 2 Andreas Roussos 2016-09-17 17:25:41 UTC
Created attachment 55633 [details] [review]
Bug 16816: Do not copy parameters used when duplicating a report

If a report is duplicated from the report list, the new report will
contain the tag (<<YEAR>> for instance), but from the reports results
page it copies the values used for the results.

Test plan:
Create a new sql report with tags
Duplicate it from the report list: no expected changes
Run it and duplicate it: the tags must not have been replaced

Signed-off-by: Andreas Roussos <arouss1980@gmail.com>
Ran and duplicated a report, the tags remained intact.
Comment 3 Katrin Fischer 2016-09-18 08:58:59 UTC
Created attachment 55640 [details] [review]
[PASSED QA] Bug 16816: Do not copy parameters used when duplicating a report

If a report is duplicated from the report list, the new report will
contain the tag (<<YEAR>> for instance), but from the reports results
page it copies the values used for the results.

Test plan:
Create a new sql report with tags
Duplicate it from the report list: no expected changes
Run it and duplicate it: the tags must not have been replaced

Signed-off-by: Andreas Roussos <arouss1980@gmail.com>
Ran and duplicated a report, the tags remained intact.

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-09-27 11:11:45 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Frédéric Demians 2016-09-30 08:47:55 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 6 Julian Maurice 2016-10-14 11:58:01 UTC
Pushed to 3.22.x, will be in 3.22.12